Bug 226527 - net-p2p/bitcoin: Add option to link against BDB 5 or 6 instead of 4.8.
Summary: net-p2p/bitcoin: Add option to link against BDB 5 or 6 instead of 4.8.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kevin Bowling
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-11 16:25 UTC by Vasil Dimov
Modified: 2018-03-29 17:53 UTC (History)
0 users

See Also:
kbowling: maintainer-feedback+


Attachments
patch to add bdb 5/6 option (2.52 KB, patch)
2018-03-11 16:25 UTC, Vasil Dimov
no flags Details | Diff
patch to add bdb 5/6 option (reworded) (2.56 KB, patch)
2018-03-15 19:21 UTC, Vasil Dimov
kbowling: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vasil Dimov freebsd_committer 2018-03-11 16:25:12 UTC
Created attachment 191420 [details]
patch to add bdb 5/6 option

As databases/db48 is ancient, deprecated and to be removed. Add an option in net-p2p/bitcoin to use db5 or db6 instead. This option is ON by default.
Comment 1 Kevin Bowling freebsd_committer 2018-03-15 07:44:32 UTC
I think I am ok with that.. I would change "5/6" interoperability to "the same major version number" in the message
Comment 2 Vasil Dimov freebsd_committer 2018-03-15 19:21:19 UTC
Created attachment 191532 [details]
patch to add bdb 5/6 option (reworded)
Comment 3 Vasil Dimov freebsd_committer 2018-03-15 19:22:15 UTC
Reworded the text.
Comment 4 commit-hook freebsd_committer 2018-03-26 17:33:54 UTC
A commit references this bug:

Author: vd
Date: Mon Mar 26 17:33:29 UTC 2018
New revision: 465619
URL: https://svnweb.freebsd.org/changeset/ports/465619

Log:
  net-p2p/bitcoin: Add an option to use newer BDB

  Make the new option the default, so that when the port is recompiled it
  will link against BDB 5.x or 6.x (whichever is the default in the system).
  This will keep old wallet files readable and will not automatically
  convert them in an incompatible with BDB 4.8 way. Newly created wallet
  files will not be readable by Bitcoin Core versions linked with BDB 4.8.

  Next thing to consider is to remove the option to link against BDB 4.8 as
  this will remove the net-p2p/bitcoin -> databases/db48 dependency and will
  make it possible to ditch the latter, which is scheduled for removal from
  the ports collection on Apr 30 2018.

  PR:		226527
  Approved by:	kbowling (maintainer)

Changes:
  head/net-p2p/bitcoin/Makefile
  head/net-p2p/bitcoin/pkg-help
Comment 5 commit-hook freebsd_committer 2018-03-29 17:53:31 UTC
A commit references this bug:

Author: vd
Date: Thu Mar 29 17:52:54 UTC 2018
New revision: 465909
URL: https://svnweb.freebsd.org/changeset/ports/465909

Log:
  net-p2p/bitcoin: Add an option to use newer BDB

  Make the new option the default, so that when the port is recompiled it
  will link against BDB 5.x or 6.x (whichever is the default in the system).
  This will keep old wallet files readable and will not automatically
  convert them in an incompatible with BDB 4.8 way. Newly created wallet
  files will not be readable by Bitcoin Core versions linked with BDB 4.8.

  Next thing to consider is to remove the option to link against BDB 4.8 as
  this will remove the net-p2p/bitcoin -> databases/db48 dependency and will
  make it possible to ditch the latter, which is scheduled for removal from
  the ports collection on Apr 30 2018.

  PR:		226527
  Approved by:	kbowling (maintainer), antoine

Changes:
  head/net-p2p/bitcoin/Makefile
  head/net-p2p/bitcoin/pkg-help
  head/net-p2p/bitcoin-daemon/Makefile
  head/net-p2p/bitcoin-utils/Makefile